#ifndef GRAPHSNAPSHOTELEMENT_SEEN
#define GRAPHSNAPSHOTELEMENT_SEEN

#include "GWt_abstractElement.h"
#include "abstractElement.h"

#include <iostream>
#include <string>
#include <sstream>

using namespace Wt;
using namespace std;

class GWt_snapshot : public GWt_abstractElement
{
  WLineEdit* snapshotFile_;
   
 public:
    
  GWt_snapshot() {;}
  GWt_snapshot(GWt_elementLigneFaisceau*,int);
  ~GWt_snapshot() {;}
  
  virtual void dialogDone(WDialog::DialogCode code);
  WImage* getImage();
    
  inline string getMimeType() {return "htdocs/snapshot.jpg"; }
  inline string getSmallImageURL() {return "htdocs/snapshot.jpg"; }
  inline string getBigImageURL() {return "htdocs/snapshot.jpg"; }
  inline string getName() {return "snapshot"; }
  
 private :

  void initilializeDialog();
};
#endif
